[Numpy-discussion] numpy, matplotlib and masked arrays

Pauli Virtanen pav@iki...
Sat Jul 10 04:02:54 CDT 2010


Sat, 10 Jul 2010 11:03:47 +1000, Peter Isaac wrote:
> I'm not sure if this is a problem with numpy, matplotlib, EPD or me but
> here goes.  The general problem is that either matplotlib has stopped
> plotting masked arrays correctly or numpy has changed the way masked
> arrays are presented.  Or there is something strange with the Enthought
> Python Distribution or me.  Many would agree with the latter ...
[clip]
> Since the matplotlib version is the same for the repository Python
> installation and the EPD-6.1-1 installation and the script works in the
> first but not the second, it suggests the problem is not just
> matplotlib.  That seems to leave the numpy version change (from 1.3 to
> 1.4) or something in the EPD.  Or me.  
> Note that EPD-6.2-2 works fine with this script on WinXP.

It works fine for me with Numpy 1.4.0 and matplotlib 0.99.1.2, on Ubuntu. 
So it seems your problem is localised on the older EPD-6.1-1.

The question is: do you need to support this older version of EPD at all? 
The problem does not appear to be that matplotlib has stopped plotting 
masked arrays properly, or that something crucial has changed in Numpy.

-- 
Pauli Virtanen



More information about the NumPy-Discussion mailing list